@echo off
echo The compiling operation for Mecklenburg Version 5 Alpha.
echo Keep it under 21 megs. ect..
echo Written At: 11/25/2006 4:35 AM
echo BC Version: 3.1.2.0
echo.
if ERRORLEVEL 1 goto failed
if ERRORLEVEL 1 goto failed
"hlvis.exe" -full -chart -estimate -texdata 15000 -lightdata 15000 "c:\Hammer\meckb4"
if ERRORLEVEL 1 goto failed
"hlrad.exe" -extra -sky 0.42 -sparse -chart -estimate -texdata 15000 -lightdata 15000  "C:\Hammer\meckb4"
if ERRORLEVEL 1 goto failed
if ERRORLEVEL 1 goto failed
goto succeeded
:failed
echo.
echo There was a problem compiling your map, check your meckb4.log file for errors.
:succeeded
echo.
if exist "meckb4.log" "C:\WINDOWS\system32\notepad.exe" "meckb4.log"
